const init = (params) => {
    console.log('moduleA init');
    return {
        name: 'ModuleA',
        functionName: params.type,
        otherParams: {
            id: `xxxx${params.type}`,
            age: `xxxx${params.type}`,
        },
    };
};

const getData = (params) => {
    console.log('moduleA getData');
    return {
        name: 'ModuleA',
        functionName: params.type,
        otherParams: {
            id: `xxxx${params.type}`,
            age: `xxxx${params.type}`,
        },
    };
};

export default function (params) {
    // console.log('moduleA');
    // console.log(params);
    return eval(params.type + '(params)');
}
